Update a task
curl --request PUT \
--url https://api.reply.io/v3/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [
123
]
},
"contactId": 123
}
'import requests
url = "https://api.reply.io/v3/tasks/{id}"
payload = {
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [123]
},
"contactId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-11-07T05:31:56Z',
dueTo: '2023-11-07T05:31:56Z',
template: {body: JSON.stringify('<string>'), subject: '<string>', attachmentIdList: [123]},
contactId: 123
})
};
fetch('https://api.reply.io/v3/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reply.io/v3/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'startAt' => '2023-11-07T05:31:56Z',
'dueTo' => '2023-11-07T05:31:56Z',
'template' => [
'body' => '<string>',
'subject' => '<string>',
'attachmentIdList' => [
123
]
],
'contactId' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reply.io/v3/tasks/{id}"
payload := strings.NewReader("{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reply.io/v3/tasks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reply.io/v3/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"contactId": 123,
"taskType": "toDo",
"status": "new",
"linkedInTaskType": "message",
"sequenceId": 123,
"sequenceStepId": 123,
"sequenceStepDisplayName": "<string>",
"assignedUserId": 123,
"creationSource": "user",
"createdAt": "2023-11-07T05:31:56Z",
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"isFailed": true,
"isScheduled": true,
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [
123
]
},
"content": {
"body": "<string>",
"subject": "<string>"
},
"deliveryInfo": {
"email": "<string>",
"phoneNumber": "<string>",
"linkedInUrl": "<string>"
}
}Tasks
Update a task
Requires the
tasks:write scope (or a broader one that includes it).
Replace an open task in full. Send taskType, startAt, dueTo, and a template body every time; only open tasks can change.
PUT
/
v3
/
tasks
/
{id}
Update a task
curl --request PUT \
--url https://api.reply.io/v3/tasks/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [
123
]
},
"contactId": 123
}
'import requests
url = "https://api.reply.io/v3/tasks/{id}"
payload = {
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [123]
},
"contactId": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
startAt: '2023-11-07T05:31:56Z',
dueTo: '2023-11-07T05:31:56Z',
template: {body: JSON.stringify('<string>'), subject: '<string>', attachmentIdList: [123]},
contactId: 123
})
};
fetch('https://api.reply.io/v3/tasks/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.reply.io/v3/tasks/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'startAt' => '2023-11-07T05:31:56Z',
'dueTo' => '2023-11-07T05:31:56Z',
'template' => [
'body' => '<string>',
'subject' => '<string>',
'attachmentIdList' => [
123
]
],
'contactId' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.reply.io/v3/tasks/{id}"
payload := strings.NewReader("{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.reply.io/v3/tasks/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.reply.io/v3/tasks/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"startAt\": \"2023-11-07T05:31:56Z\",\n \"dueTo\": \"2023-11-07T05:31:56Z\",\n \"template\": {\n \"body\": \"<string>\",\n \"subject\": \"<string>\",\n \"attachmentIdList\": [\n 123\n ]\n },\n \"contactId\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"contactId": 123,
"taskType": "toDo",
"status": "new",
"linkedInTaskType": "message",
"sequenceId": 123,
"sequenceStepId": 123,
"sequenceStepDisplayName": "<string>",
"assignedUserId": 123,
"creationSource": "user",
"createdAt": "2023-11-07T05:31:56Z",
"startAt": "2023-11-07T05:31:56Z",
"dueTo": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"isFailed": true,
"isScheduled": true,
"template": {
"body": "<string>",
"subject": "<string>",
"attachmentIdList": [
123
]
},
"content": {
"body": "<string>",
"subject": "<string>"
},
"deliveryInfo": {
"email": "<string>",
"phoneNumber": "<string>",
"linkedInUrl": "<string>"
}
}Authorizations
Body
application/json
Request body for updating a task. Full replacement (PUT), not partial update.
Response
Task updated successfully.
Full task detail returned by GET by ID, Create, and Update endpoints.